wxGraphicsObject(3)

NAME
wxGraphicsObject - This class is the superclass of native graphics objects like pens etc.

DESCRIPTION

It allows reference counting. Not instantiated by user code.

See:

    • wxGraphicsBrush

    • wxGraphicsPen

    • wxGraphicsMatrix

    • wxGraphicsPath

wxWidgets docs: wxGraphicsObject

DATA TYPES

wxGraphicsObject() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxGraphicsObject()) -> ok.

    Destroys the object
getRenderer(This) -> wxGraphicsRenderer:wxGraphicsRenderer() when This :: wxGraphicsObject().

    Returns the renderer that was used to create this instance, or NULL if it has not been initialized yet.
isNull(This) -> boolean() when This :: wxGraphicsObject().

    Return: false if this object is valid, otherwise returns true.